Tasks Create a customer idea
POST
/control-plane/api/v1/tasks/ideas

Authentication

API Key (BearerAuth)

  • Header: Authorization

Request Body

Idea input

Required

descriptionstring

titlestringrequired

Example:

{
  "description": "string",
  "title": "string"
}

Responses

201
Created

Response Fields:

  • assignee_ids (string[])

  • created_at (string)

  • description (string)

  • due_date (string)

  • has_voted (boolean)

  • id (string)

  • position (integer)

  • priority (string)

  • public (boolean)

  • start_date (string)

  • status (object)

  • title (string)

  • updated_at (string)

  • version (object)

  • vote_count (integer)

Example:

{
  "assignee_ids": [
    "string"
  ],
  "created_at": "string",
  "description": "string",
  "due_date": "string",
  "has_voted": true,
  "id": "string",
  "position": 0,
  "priority": "string",
  "public": true,
  "start_date": "string",
  "status": {
    "color": "string",
    "id": "string",
    "is_default": true,
    "name": "string",
    "position": 0,
    "public": true
  },
  "title": "string",
  "updated_at": "string",
  "version": {
    "due_date": "string",
    "id": "string",
    "name": "string",
    "start_date": "string",
    "state": "string"
  },
  "vote_count": 0
}